> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/enterprise-push-command.md).

# エンタープライズプッシュコマンド

エンタープライズユーザーのボルトへのテンプレートレコードの入力。レコードはユーザーへの直接割り当て、または選択したチームの全ユーザーへの割り当てが可能

## enterprise-push コマンド

テンプレートレコードのセットを使って、ユーザーのボルトにレコードを入力します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `enterprise-push`

**使用法:**

```bash
enterprise-push [options] [file_name]
```

**パラメータ:**

* `--syntax-help` サンプルのファイル形式とテンプレートパラメータを表示する
* `--team <TEAM NAME OR UID>` レコードを割り当てるチーム
* `--email <USER EMAIL, DISPLAY NAME OR UID>` レコードを割り当てるユーザー
* `--users <USER1,USER2>` レコードを割り当てるユーザー (カンマ区切り)
* `--teams <TEAM1,TEAM2>` レコードを割り当てるチーム (カンマ区切り)
* `--dry-run` ボルトを変更せずに、転送予定のレコードを表示する
* `--format <table|csv|json>` ドライラン出力の形式
* `--output <FILE NAME>` CSVまたはJSONのドライラン結果の出力ファイル
*

**例:**

```zsh
enterprise-push --team "Chicago Office" office-codes.json
enterprise-push --email Jane.Doe@gmail.com default.json
enterprise-push --syntax-help
```

</details>

<details>

<summary>DotNet SDK</summary>

**関数:** `PushEnterpriseRecords`

```csharp
public async Task<EnterprisePushResult> PushEnterpriseRecords(VaultOnline vault,ImportRecord[] templateRecords,EnterprisePushOptions options = null)
```

**パラメータ:**

* `vault` レコードの作成と転送に使用するボルト
* `templateRecords` 作成するテンプレートレコード
* `options` 対象ユーザー、対象チーム、ドライランの設定、警告コールバック

**オプション:**

* `Users` 対象ユーザーのメールアドレス、表示名、またはエンタープライズユーザーID
* `Teams` 対象チームの名前またはチームUID
* `DryRun` ボルトを変更せずに、転送予定を表示する

**例:**

```csharp
var result = await enterpriseData.PushEnterpriseRecords(
    vault,
    templateRecords,
    new EnterprisePushOptions
    {
        Users = new[] { "user@company.com" },
        Teams = new[] { "Chicago Office" },
        DryRun = false
    });
```

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Invoke-KeeperEnterprisePush`

**別名:** `kep`

**フラグ:**

| パラメータ       | 説明                                     |
| ----------- | -------------------------------------- |
| `-FileName` | テンプレートレコードを含むJSONファイル。必須。              |
| `-Email`    | 対象ユーザー1件のメールアドレス、表示名、またはエンタープライズユーザーID |
| `-Users`    | 追加の対象ユーザー                              |
| `-Teams`    | 対象チームの名前またはUID                         |
| `-DryRun`   | ボルトを変更せずに、転送予定を表示する                    |

**例:**

```powershell
# ユーザーにレコードを送信
PS> Invoke-KeeperEnterprisePush `
       -FileName default.json `
       -Email Jane.Doe@gmail.com

# チーム内の全ユーザーにレコードを送信
PS> kep `
       -FileName office-codes.json `
       -Team "Chicago Office"

# 複数のユーザーとチームにレコードを送信
PS> kep `
       -FileName default.json `
       -Users user1@company.com,user2@company.com `
       -Teams "Chicago Office,Support"

# 転送内容をプレビュー
PS> kep `
       -FileName default.json `
       -Team "Chicago Office" `
       -DryRun
```

</details>

### ファイル形式

`enterprise-push` コマンドは、KeeperのJSONレコードインポート形式を使用します。

テンプレートファイルには、以下のいずれかを指定できます。

* レコードの配列
* `records` 配列を含むオブジェクト

JSONファイルの例:

```json
[
  {
    "title": "Google",
    "login": "${user_email}",
    "password": "${generate_password}",
    "login_url": "https://google.com",
    "notes": "",
    "custom_fields": {
      "Name 1": "Value 1",
      "Name 2": "Value 2"
    }
  },
  {
    "title": "Admin Tool",
    "login": "${user_email}",
    "password": "",
    "login_url": "https://192.168.1.1",
    "notes": "",
    "custom_fields": {}
  }
]
```

**サポートされているテンプレートパラメータ:**

```
${user_email}          対象ユーザーのメールアドレス
${user_name}           対象ユーザーの氏名
${generate_password}   ランダムなパスワードを生成する
```

テンプレート用のJSONデータをエクスポートするには、以下の手順で行います。

1. テンプレートを保存するための空のフォルダを作成します (例: `Templates`)。
2. そのフォルダに必要なレコードを追加します。
3. フォルダをJSONとしてエクスポートします。

```
export --format=json --folder=Templates templates.json
```

`enterprise-push` では対象ユーザーごとに新しいレコードが生成・転送されるため、`uid` および `folders` プロパティは使用されません。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/enterprise-push-command.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
